package com.gh.gamecenter.core.provider

import com.alibaba.android.arouter.facade.template.IProvider

interface IUserManagerProvider : IProvider {

    fun userShouldTakeRegulationBaseOnLastRemind(): Boolean

    fun getUserId(): String

    fun getToken(): String

    fun refreshToken(accessToken: String, success: () -> Unit, fail: (String?) -> Unit)
}